Core APIVaultsSlug

/vaults/{slug}/performance-history

Get vault performance history by slug for the given date range. Includes vault price/TVL/liquid funds/APY and optional per-yield-asset metrics. Current UTC day entries may include price, TVL, and liquid funds, but `apy` and `navApy` remain null until that UTC day is fully settled.

GET
/vaults/{slug}/performance-history

Get vault performance history by slug for the given date range. Includes vault price/TVL/liquid funds/APY and optional per-yield-asset metrics. Current UTC day entries may include price, TVL, and liquid funds, but apy and navApy remain null until that UTC day is fully settled.

Path Parameters

slug*string

Unique slug identifier for the vault.

Length1 <= length

Query Parameters

startDate?|

Unix timestamp in seconds

endDate?|

Unix timestamp in seconds

Default1792517673
order?string

Ordering for history arrays. desc returns newest first. asc returns oldest first.

Default"desc"

Value in

  • "asc"
  • "desc"
includeCompositeAssets?string

Include per-yield-asset composition metrics.

Defaultfalse
format?string

Response format. Use csv to export the history as CSV.

Default"json"

Value in

  • "json"
  • "csv"

Response Body

application/json

application/json

curl -X GET "https://example.com/vaults/nest-alpha-vault/performance-history"
{  "data": {    "vaultAddress": "string",    "assets": [      {        "slug": "string",        "name": "string"      }    ],    "history": [      {        "day": 0,        "vault": {          "price": 0,          "tvl": 0,          "liquidFunds": 0,          "apy": {            "rolling7d": 0,            "rolling30d": 0,            "sec30d": 0          },          "navApy": {            "rolling7d": 0,            "rolling30d": 0,            "sec30d": 0          }        },        "assets": {          "property1": {            "price": 0,            "apy7d": 0,            "apy30d": 0,            "compositionPct": 0          },          "property2": {            "price": 0,            "apy7d": 0,            "apy30d": 0,            "compositionPct": 0          }        }      }    ]  }}